Package org.eclipse.lemminx.extensions.xsd.contentmodel

## Class HtmlToPlainText

- java.lang.Object
- - org.eclipse.lemminx.extensions.xsd.contentmodel.HtmlToPlainText

    public class HtmlToPlainText
    extends Object

HTML to plain-text. Uses jsoup to convert HTML input to lightly-formatted plain-text. This is a fork of Jsoup's HtmlToPlainText

Author:
  Jonathan Hedley, jonathan@hedley.net

### Constructor Summary

Constructors
`HtmlToPlainText()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getPlainText​(org.jsoup.nodes.Element element)` Format an Element to plain-text

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HtmlToPlainText

    public HtmlToPlainText()

### Method Detail

#### getPlainText

    public String getPlainText​(org.jsoup.nodes.Element element)

Format an Element to plain-text

Parameters:
  `element` - the root element to format
Returns:
  formatted text